
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- make needlessly global code static
- #if 0 unused code

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/math-emu/errors.c       |    2 ++
 25-akpm/arch/i386/math-emu/fpu_aux.c      |    2 +-
 25-akpm/arch/i386/math-emu/fpu_proto.h    |    2 --
 25-akpm/arch/i386/math-emu/load_store.c   |    2 +-
 25-akpm/arch/i386/math-emu/reg_constant.c |   10 ++++++----
 25-akpm/arch/i386/math-emu/reg_constant.h |    6 ------
 6 files changed, 10 insertions(+), 14 deletions(-)

diff -puN arch/i386/math-emu/errors.c~i386-math-emu-misc-cleanups arch/i386/math-emu/errors.c
--- 25/arch/i386/math-emu/errors.c~i386-math-emu-misc-cleanups	2005-02-02 18:21:15.974758056 -0800
+++ 25-akpm/arch/i386/math-emu/errors.c	2005-02-02 18:21:15.984756536 -0800
@@ -34,6 +34,7 @@
 /* */
 
 
+#if 0
 void Un_impl(void)
 {
   u_char byte1, FPU_modrm;
@@ -69,6 +70,7 @@ void Un_impl(void)
   EXCEPTION(EX_Invalid);
 
 }
+#endif  /*  0  */
 
 
 /*
diff -puN arch/i386/math-emu/fpu_aux.c~i386-math-emu-misc-cleanups arch/i386/math-emu/fpu_aux.c
--- 25/arch/i386/math-emu/fpu_aux.c~i386-math-emu-misc-cleanups	2005-02-02 18:21:15.975757904 -0800
+++ 25-akpm/arch/i386/math-emu/fpu_aux.c	2005-02-02 18:21:15.985756384 -0800
@@ -21,7 +21,7 @@ static void fnop(void)
 {
 }
 
-void fclex(void)
+static void fclex(void)
 {
   partial_status &= ~(SW_Backward|SW_Summary|SW_Stack_Fault|SW_Precision|
 		   SW_Underflow|SW_Overflow|SW_Zero_Div|SW_Denorm_Op|
diff -puN arch/i386/math-emu/fpu_proto.h~i386-math-emu-misc-cleanups arch/i386/math-emu/fpu_proto.h
--- 25/arch/i386/math-emu/fpu_proto.h~i386-math-emu-misc-cleanups	2005-02-02 18:21:15.977757600 -0800
+++ 25-akpm/arch/i386/math-emu/fpu_proto.h	2005-02-02 18:21:15.985756384 -0800
@@ -2,7 +2,6 @@
 #define _FPU_PROTO_H
 
 /* errors.c */
-extern void Un_impl(void);
 extern void FPU_illegal(void);
 extern void FPU_printall(void);
 asmlinkage void FPU_exception(int n);
@@ -41,7 +40,6 @@ extern void fsubp_(void);
 extern void fdivrp(void);
 extern void fdivp_(void);
 /* fpu_aux.c */
-extern void fclex(void);
 extern void finit(void);
 extern void finit_(void);
 extern void fstsw_(void);
diff -puN arch/i386/math-emu/load_store.c~i386-math-emu-misc-cleanups arch/i386/math-emu/load_store.c
--- 25/arch/i386/math-emu/load_store.c~i386-math-emu-misc-cleanups	2005-02-02 18:21:15.978757448 -0800
+++ 25-akpm/arch/i386/math-emu/load_store.c	2005-02-02 18:21:15.986756232 -0800
@@ -53,7 +53,7 @@ u_char const data_sizes_16[32] = {
   14, 0, 94, 10,  2, 10,  2,  8
 };
 
-u_char const data_sizes_32[32] = {
+static u_char const data_sizes_32[32] = {
   4,  4,  8,  2,  0,  0,  0,  0,
   4,  4,  8,  2,  4,  4,  8,  2,
   28, 0,108, 10,  2, 10,  0,  8,  
diff -puN arch/i386/math-emu/reg_constant.c~i386-math-emu-misc-cleanups arch/i386/math-emu/reg_constant.c
--- 25/arch/i386/math-emu/reg_constant.c~i386-math-emu-misc-cleanups	2005-02-02 18:21:15.980757144 -0800
+++ 25-akpm/arch/i386/math-emu/reg_constant.c	2005-02-02 18:21:15.986756232 -0800
@@ -21,15 +21,17 @@
                             ((EXTENDED_Ebias+(e)) | ((SIGN_##s != 0)*0x8000)) }
 
 FPU_REG const CONST_1    = MAKE_REG(POS, 0, 0x00000000, 0x80000000);
+#if 0
 FPU_REG const CONST_2    = MAKE_REG(POS, 1, 0x00000000, 0x80000000);
 FPU_REG const CONST_HALF = MAKE_REG(POS, -1, 0x00000000, 0x80000000);
-FPU_REG const CONST_L2T  = MAKE_REG(POS, 1, 0xcd1b8afe, 0xd49a784b);
-FPU_REG const CONST_L2E  = MAKE_REG(POS, 0, 0x5c17f0bc, 0xb8aa3b29);
+#endif  /*  0  */
+static FPU_REG const CONST_L2T  = MAKE_REG(POS, 1, 0xcd1b8afe, 0xd49a784b);
+static FPU_REG const CONST_L2E  = MAKE_REG(POS, 0, 0x5c17f0bc, 0xb8aa3b29);
 FPU_REG const CONST_PI   = MAKE_REG(POS, 1, 0x2168c235, 0xc90fdaa2);
 FPU_REG const CONST_PI2  = MAKE_REG(POS, 0, 0x2168c235, 0xc90fdaa2);
 FPU_REG const CONST_PI4  = MAKE_REG(POS, -1, 0x2168c235, 0xc90fdaa2);
-FPU_REG const CONST_LG2  = MAKE_REG(POS, -2, 0xfbcff799, 0x9a209a84);
-FPU_REG const CONST_LN2  = MAKE_REG(POS, -1, 0xd1cf79ac, 0xb17217f7);
+static FPU_REG const CONST_LG2  = MAKE_REG(POS, -2, 0xfbcff799, 0x9a209a84);
+static FPU_REG const CONST_LN2  = MAKE_REG(POS, -1, 0xd1cf79ac, 0xb17217f7);
 
 /* Extra bits to take pi/2 to more than 128 bits precision. */
 FPU_REG const CONST_PI2extra = MAKE_REG(NEG, -66,
diff -puN arch/i386/math-emu/reg_constant.h~i386-math-emu-misc-cleanups arch/i386/math-emu/reg_constant.h
--- 25/arch/i386/math-emu/reg_constant.h~i386-math-emu-misc-cleanups	2005-02-02 18:21:15.981756992 -0800
+++ 25-akpm/arch/i386/math-emu/reg_constant.h	2005-02-02 18:21:15.987756080 -0800
@@ -12,16 +12,10 @@
 #include "fpu_emu.h"
 
 extern FPU_REG const CONST_1;
-extern FPU_REG const CONST_2;
-extern FPU_REG const CONST_HALF;
-extern FPU_REG const CONST_L2T;
-extern FPU_REG const CONST_L2E;
 extern FPU_REG const CONST_PI;
 extern FPU_REG const CONST_PI2;
 extern FPU_REG const CONST_PI2extra;
 extern FPU_REG const CONST_PI4;
-extern FPU_REG const CONST_LG2;
-extern FPU_REG const CONST_LN2;
 extern FPU_REG const CONST_Z;
 extern FPU_REG const CONST_PINF;
 extern FPU_REG const CONST_INF;
_
